%define api_version 1.2
%define ui_api_version 3.0
%define dir_version %(echo %{version} | awk -F. '{print $1"."$2 + $2 % 2}')

%define libedbusversion %{version}
%define edbusmajor 0
%define privdev %mklibname -d edbus 

%define camelmajor 62
%define camel_libname %mklibname camel %{api_version} %{camelmajor}

%define ebookmajor 20
%define ebook_libname %mklibname ebook %{api_version} %{ebookmajor}

%define ecalapi 2.0
%define ecalmajor 1
%define ecal_libname %mklibname ecal %{ecalapi} %{ecalmajor}

%define edatabookmajor 26
%define edatabook_libname %mklibname edata-book %{api_version} %{edatabookmajor}

%define ebook_contactsmajor 3
%define ebook_contacts_libname %mklibname ebook-contacts %{api_version} %{ebook_contactsmajor}

%define edatacalapi 2.0
%define edatacalmajor 1
%define edatacal_libname %mklibname edata-cal %{edatacalapi} %{edatacalmajor}

%define edataservermajor 26
%define edataserver_libname %mklibname edataserver %{api_version} %{edataservermajor}
%define edataserver_libnamedev %mklibname -d edataserver %{api_version}

%define edataserveruimajor 3
%define edataserverui_libname %mklibname edataserverui %{api_version} %{edataserveruimajor}

%define ebackendmajor 10
%define ebackend_libname %mklibname ebackend %{api_version} %{ebackendmajor}

%define gi_major 1.2
%define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define glib2_version 2.40.0
%define gtk3_version 3.6.0
%define gcr_version 3.4
%define gtk_doc_version 1.9
%define intltool_version 0.35.5
%define libsecret_version 0.5
%define libgdata_version 0.10.0
%define libgweather_version 3.5.0
%define libical_version 0.46
%define libsoup_version 2.42
%define sqlite_version 3.5
%define nss_version 3.14
%define webkitgtk_version 2.4.9
%define json_glib_version 1.0.4

%define eds_base_version 3.20

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.40.4
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/evolution/
Source2:	libedbus.pc
Source3:	libedbus-private.pc
BuildRequires:	db5-devel
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	gperf
BuildRequires:	gtk-doc >= %{gtk_doc_version}
BuildRequires:	intltool >= %{intltool_version}
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gcr-3)  >= %{gcr_version}
BuildRequires:	pkgconfig(gcr-base-3)  >= %{gcr_version}
BuildRequires:	pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:	pkgconfig(libgdata) >= %{libgdata_version}
BuildRequires:	pkgconfig(gweather-3.0) >= %{libgweather_version}
BuildRequires:	pkgconfig(libical) >= %{libical_version}
BuildRequires:	pkgconfig(libsecret-unstable) >= %{libsecret_version}
BuildRequires:	pkgconfig(libsoup-2.4) >= %{libsoup_version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss) >= %{nss_version}
BuildRequires:	pkgconfig(sqlite3) >= %{sqlite_version}
BuildRequires:	pkgconfig(webkitgtk-3.0) >= %{webkitgtk_version}
BuildRequires:	pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:  gobject-introspection-devel
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
BuildRequires:  lib64goa-devel
BuildRequires:  lib64canberra-gtk3-devel

Requires:	gsettings-desktop-schemas
Requires:   gnome-keyring
Provides:	libedbus

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.


%package devel
Summary:	Development files for building against %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	pkgconfig(libgdata) >= %{libgdata_version}
Requires:	pkgconfig(gweather-3.0) >= %{libgweather_version}
Requires:	pkgconfig(libical) >= %{libical_version}
Requires:	pkgconfig(libsecret-unstable) >= %{libsecret_version}
Requires:	pkgconfig(libsoup-2.4) >= %{libsoup_version}
Requires:	pkgconfig(sqlite3) >= %{sqlite_version}
Requires:	pkgconfig(webkitgtk-3.0) >= %{webkitgtk_version}
Requires:	pkgconfig(json-glib-1.0) >= %{json_glib_version}

Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libedataserver-devel = %{version}-%{release}
Provides:	devel(libedbus-private(64bit))

%description devel
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.


%prep
%setup -q

%build

mkdir -p build
cd build

cmake .. \
                -DCMAKE_INSTALL_PREFIX=/usr \
                -DLIB_INSTALL_DIR=/usr/lib64 \
                -DLIBEXEC_INSTALL_DIR=/usr/libexec \
                -DSYSCONF_INSTALL_DIR=/etc \
                -DENABLE_GOA=ON \
                -DENABLE_GTK_DOC=OFF \
				-DENABLE_EXAMPLES=ON \
                -DENABLE_INTROSPECTION=ON \
                -DENABLE_VALA_BINDINGS=ON \
				-DENABLE_INSTALLED_TESTS=OFF \
                -DWITH_PHONENUMBER=OFF \
				-DWITH_SYSTEMDUSERUNITDIR=NO \
				-DWITH_SYSTEMD_USER_UNITS=OFF

make

cd ..

%install
rm -rf %buildroot

cd build

%makeinstall_std


# remove systemd-calls from service
sed -i s/"SystemdService=evolution-addressbook-factory.service"//g %{buildroot}%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook10.service
sed -i s/"SystemdService=evolution-calendar-factory.service"//g %{buildroot}%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar8.service
sed -i s/"SystemdService=evolution-source-registry.service"//g %{buildroot}%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources5.service
sed -i s/"SystemdService=evolution-user-prompter.service"//g %{buildroot}%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.UserPrompter0.service


# remove libtool archives for importers and the like
find %{buildroot}%{_libdir} -name '*.la' -delete

rm -f %{buildroot}%{_libdir}/evolution-data-server/*.a
rm -f %{buildroot}%{_libdir}/evolution-data-server/camel-providers/*.a
rm -f %{buildroot}%{_libdir}/evolution-data-server/addressbook-backends/*.a
rm -f %{buildroot}%{_libdir}/evolution-data-server/calendar-backends/*.a

rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop

install %{SOURCE2} %{buildroot}%{_libdir}/pkgconfig/libedbus.pc
install %{SOURCE3} %{buildroot}%{_libdir}/pkgconfig/libedbus-private.pc

find %{buildroot} -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}-%{dir_version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files
%doc COPYING NEWS
%{_datadir}/applications/org.gnome.Evolution-alarm-notify.desktop
%dir %{_libdir}/%{name}
%{_libexecdir}/camel-gpg-photo-saver
%{_libexecdir}/camel-index-control-%{api_version}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%{_libexecdir}/evolution-addressbook-factory-subprocess
%{_libexecdir}/evolution-calendar-factory-subprocess
%{_libexecdir}/evolution-source-registry
%{_libexecdir}/evolution-user-prompter
%{_libexecdir}/evolution-scan-gconf-tree-xml
%{_libexecdir}/evolution-data-server/
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook10.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar8.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources5.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.UserPrompter0.service
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}
%{_libdir}/%{name}/libedbus-private.so
%{_libdir}/%{name}/addressbook-backends/*.so
%{_libdir}/%{name}/calendar-backends/*.so
%{_libdir}/%{name}/camel-providers/*.so
%{_libdir}/%{name}/camel-providers/*.urls
%{_libdir}/%{name}/credential-modules/*.so
%{_libdir}/%{name}/registry-modules/*.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}*
%{_libdir}/libebook-%{api_version}.so.%{ebookmajor}*
%{_libdir}/libecal-%{ecalapi}.so.%{ecalmajor}*
%{_libdir}/libebook-contacts-%{api_version}.so.%{ebook_contactsmajor}*
%{_libdir}/libedata-book-%{api_version}.so.%{edatabookmajor}*
%{_libdir}/libedata-cal-%{edatacalapi}.so.%{edatacalmajor}*
%{_libdir}/libedataserver-%{api_version}.so.%{edataservermajor}*
%{_libdir}/libedataserverui-%{api_version}.so.%{edataserveruimajor}*
%{_libdir}/girepository-1.0/EDataServer-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBook-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBookContacts-%{gi_major}.typelib
%{_libdir}/girepository-1.0/Camel-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBackend-%{gi_major}.typelib
%{_libdir}/girepository-1.0/ECal-%{ecalapi}.typelib
%{_libdir}/girepository-1.0/EDataBook-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EDataCal-%{edatacalapi}.typelib
%{_libdir}/girepository-1.0/EDataServerUI-%{gi_major}.typelib
%{_libdir}/libebackend-%{api_version}.so.%{ebackendmajor}*

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Camel-%{gi_major}.gir
%{_datadir}/gir-1.0/EDataServer-%{gi_major}.gir
%{_datadir}/gir-1.0/EBook-%{gi_major}.gir
%{_datadir}/gir-1.0/EBookContacts-%{gi_major}.gir
%{_datadir}/gir-1.0/EBackend-1.2.gir
%{_datadir}/gir-1.0/ECal-2.0.gir
%{_datadir}/gir-1.0/EDataBook-1.2.gir
%{_datadir}/gir-1.0/EDataCal-2.0.gir
%{_datadir}/gir-1.0/EDataServerUI-1.2.gir
%{_datadir}/vala/vapi/camel-%{gi_major}.deps
%{_datadir}/vala/vapi/camel-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.deps
%{_datadir}/vala/vapi/libebook-contacts-%{gi_major}.vapi
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.deps
%{_datadir}/vala/vapi/libedataserver-%{gi_major}.vapi
%{_datadir}/vala/vapi/libebackend-1.2.deps
%{_datadir}/vala/vapi/libebackend-1.2.vapi
%{_datadir}/vala/vapi/libecal-2.0.deps
%{_datadir}/vala/vapi/libecal-2.0.vapi
%{_datadir}/vala/vapi/libedata-book-1.2.deps
%{_datadir}/vala/vapi/libedata-book-1.2.vapi
%{_datadir}/vala/vapi/libedata-cal-2.0.deps
%{_datadir}/vala/vapi/libedata-cal-2.0.vapi
%{_datadir}/vala/vapi/libedataserverui-1.2.deps
%{_datadir}/vala/vapi/libedataserverui-1.2.vapi

%changelog
* Mon Feb 27 2023 tex - 3.40.4-4pclos2023
- rebuild without soup3-devel

